import { ExplainPlan } from '@mongodb-js/explain-plan-helper';
export type ExplainStageHighlights = Record<string, any>;
export type ExplainStageDetails = Record<string, any>;
export type ExplainTreeNodeData = {
    id: string;
    name: string;
    nReturned: number;
    curStageExecTimeMS: number;
    prevStageExecTimeMS: number;
    isShard: boolean;
    children: ExplainTreeNodeData[];
    details: ExplainStageDetails;
    highlights: ExplainStageHighlights;
};
export declare const executionStatsToTreeData: (executionStats: ExplainPlan['executionStats']) => ExplainTreeNodeData | undefined;
//# sourceMappingURL=explain-tree-data.d.ts.map